Page MenuHomePhabricator

create procurement project
Closed, ResolvedPublic

Description

Operations requires that we move our ordering proecess from RT and into phabricator. Part of this process is the creation of a new project for quotes and ordering.

I propose we call this 'procurement'. This project is special, and ONLY for quotes/ordering. As such, all the tasks created within it will have the security drop down sensitivity set to NDA view only. To eliminate confusion, this project should NOT be joinable by anyone.

This should likely be a component or private project type.

Policy: view anyone, join restricted. We don't want folks joining this project unless they are in WMF-NDA, as these tasks are viewable by them only.

Event Timeline

RobH created this task.Mar 24 2015, 7:26 PM
RobH raised the priority of this task from to High.
RobH updated the task description. (Show Details)
RobH added subscribers: mark, chasemp, RobH, Aklapper.

As written in T93760#1146356 the ACL requirements need to be clarified first.

mark added a comment.Mar 25 2015, 12:44 PM

@RobH: I don't believe we've discussed this recently, and I'm not sure we've done our due diligence on making sure that the data will be secure enough, the e-mail side still works as expected, etc. If you have, then I'm not aware of it, and I'd like to discuss this first before we move ahead with it.

Aklapper changed the task status from Open to Stalled.Mar 25 2015, 1:31 PM

Setting status to STALLED; please reset once discussed

RobH added a comment.Mar 25 2015, 2:41 PM

@chasemp and I planned to test this once we have the project made. The project creation has to happen for the ACL testing.

RobH changed the task status from Stalled to Open.Mar 25 2015, 2:41 PM
mark changed the task status from Open to Stalled.Mar 25 2015, 2:59 PM

If it's just for testing for now that's fine with me.

(Why can't I reset status to Open?)

jeremyb changed the task status from Stalled to Open.Mar 25 2015, 3:03 PM
jeremyb added a subscriber: jeremyb.

maybe midair collision?

phab doesn't do edit conflict resolution AFAIK

Dzahn added a subscriber: Dzahn.EditedMar 27 2015, 9:12 PM

Since the basic requirement is "We don't want folks joining this project unless they are in WMF-NDA" and assuming that's true, it seems to me like we don't actually have much of a difference to other tickets we already limit to WMF-NDA people.

Like for example RT tickets we imported from the core-ops queue. The difference would mainly just be the 'enable mail' part and has been done for the datacenter projects (equivalent to former RT datacenter queues) already, right?

RobH closed this task as Resolved.Mar 30 2015, 11:46 PM
RobH claimed this task.

procurement has been created. Chase and I will be testing various configuration options for it before we actually introduce any actual quotes/procurement orders.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 20 2016, 10:07 PM